uicc.toolkit

## Interface ToolkitConstants

-     public interface ToolkitConstants

  `ToolkitConstants` encapsulates constants related to the Toolkit Applets.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BTAG_CALL_CONTROL` BER-TLV : Call Control tag = 0xD4
    `static byte` | `BTAG_EVENT_DOWNLOAD` BER-TLV : Event download tag = 0xD6
    `static byte` | `BTAG_MENU_SELECTION` BER-TLV : Menu Selection tag = 0xD3
    `static byte` | `BTAG_PROACTIVE_UICC_COMMAND` BER-TLV : Proactive UICC command tag = 0xD0
    `static byte` | `BTAG_TIMER_EXPIRATION` BER-TLV : Timer Expiration tag = 0xD7
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_0` Device Identity : Additional Card Reader 0 = 0x10
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_1` Device Identity : Additional Card Reader 1 = 0x11
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_2` Device Identity : Additional Card Reader 2 = 0x12
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_3` Device Identity : Additional Card Reader 3 = 0x13
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_4` Device Identity : Additional Card Reader 4 = 0x14
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_5` Device Identity : Additional Card Reader 5 = 0x15
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_6` Device Identity : Additional Card Reader 6 = 0x16
    `static byte` | `DEV_ID_ADDITIONAL_CARD_READER_7` Device Identity : Additional Card Reader 7 = 0x17
    `static byte` | `DEV_ID_CHANNEL_1` Device Identity : Channel 1 = 0x21;
    `static byte` | `DEV_ID_CHANNEL_2` Device Identity : Channel 1 = 0x22;
    `static byte` | `DEV_ID_CHANNEL_3` Device Identity : Channel 1 = 0x23;
    `static byte` | `DEV_ID_CHANNEL_4` Device Identity : Channel 1 = 0x24;
    `static byte` | `DEV_ID_CHANNEL_5` Device Identity : Channel 1 = 0x25;
    `static byte` | `DEV_ID_CHANNEL_6` Device Identity : Channel 1 = 0x26;
    `static byte` | `DEV_ID_CHANNEL_7` Device Identity : Channel 1 = 0x27;
    `static byte` | `DEV_ID_CHANNEL_BASE` Device identity : Base Channel = 0x20
    `static byte` | `DEV_ID_DISPLAY` Device Identity : Display = 0x02
    `static byte` | `DEV_ID_EARPIECE` Device Identity : Earpiece = 0x03
    `static byte` | `DEV_ID_KEYPAD` Device Identity : Keypad = 0x01
    `static byte` | `DEV_ID_NETWORK` Device Identity : Network = 0x83
    `static byte` | `DEV_ID_TERMINAL` Device Identity : Terminal = 0x82
    `static byte` | `DEV_ID_UICC` Device Identity : UICC = 0x81
    `static short` | `EVENT_APPLICATION_DESELECT` Event : Application Deselect type = 126
    `static short` | `EVENT_CALL_CONTROL_BY_NAA` Event : Call Control by NAA = 9
    `static short` | `EVENT_EVENT_BROWSING_STATUS` Event: Event Browsing Status = 29
    `static short` | `EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE` Event : Event Download - Access Technology Change (single access technology) type = 25
    `static short` | `EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE_MULTIPLE` Event: Event Download - Access Technology Change (multiple access technologies) type = 128
    `static short` | `EVENT_EVENT_DOWNLOAD_BROWSER_TERMINATION` Event : Event Download - Browser Termination type =21
    `static short` | `EVENT_EVENT_DOWNLOAD_CALL_CONNECTED` Event : Event Download - Call connected type = 13
    `static short` | `EVENT_EVENT_DOWNLOAD_CALL_DISCONNECTED` Event : Event Download - Call disconnected type = 14
    `static short` | `EVENT_EVENT_DOWNLOAD_CARD_READER_STATUS` Event : Event Download - Card Reader Status = 18
    `static short` | `EVENT_EVENT_DOWNLOAD_CHANNEL_STATUS` Event : Event Download - Channel Status type = 23
    `static short` | `EVENT_EVENT_DOWNLOAD_CONTACTLESS_STATE_REQUEST` Event: Contactless State Request = 35
    `static short` | `EVENT_EVENT_DOWNLOAD_DATA_AVAILABLE` Event : Event Download - Data Available type = 22
    `static short` | `EVENT_EVENT_DOWNLOAD_DISPLAY_PARAMETER_CHANGED` Event : Event Download - Display Parameter Change type = 26
    `static short` | `EVENT_EVENT_DOWNLOAD_FRAMES_INFORMATION_CHANGED` Event: Frames Information Changed = 34
    `static short` | `EVENT_EVENT_DOWNLOAD_HCI_CONNECTIVITY` Event: Event HCI Connectivity = 32
    `static short` | `EVENT_EVENT_DOWNLOAD_IDLE_SCREEN_AVAILABLE` Event : Event Download - Idle screen available type = 17
    `static short` | `EVENT_EVENT_DOWNLOAD_LANGUAGE_SELECTION` Event : Event Download - Language Selection type = 20
    `static short` | `EVENT_EVENT_DOWNLOAD_LOCAL_CONNECTION` Event : Event Download - Local Connection type = 27
    `static short` | `EVENT_EVENT_DOWNLOAD_LOCATION_STATUS` Event : Event Download - Location status type = 15
    `static short` | `EVENT_EVENT_DOWNLOAD_MT_CALL` Event : Event Download - MT call type = 12
    `static short` | `EVENT_EVENT_DOWNLOAD_NETWORK_SEARCH_MODE_CHANGE` Event: Event Network Search Mode Change = 28
    `static short` | `EVENT_EVENT_DOWNLOAD_USER_ACTIVITY` Event : Event Download - User activity type = 16
    `static short` | `EVENT_EVENT_POLL_INTERVAL_NEGOTIATION` Event: Poll Interval Negotiation = 36
    `static short` | `EVENT_EXTERNAL_FILE_UPDATE` Event: External File Update = 124
    `static short` | `EVENT_FIRST_COMMAND_AFTER_ATR` Event: First Command After ATR = 127
    `static short` | `EVENT_MEMORY_FAILURE` Event: Memory Failure = 129
    `static short` | `EVENT_MENU_SELECTION` Event : Menu Selection = 7
    `static short` | `EVENT_MENU_SELECTION_HELP_REQUEST` Event : Menu Selection Help Request = 8
    `static short` | `EVENT_PROACTIVE_HANDLER_AVAILABLE` Event: Proactive Handler Available = 123
    `static short` | `EVENT_PROFILE_DOWNLOAD` Event : Profile Download = 1
    `static short` | `EVENT_REMOTE_FILE_UPDATE` Event: Remote File Update = 125
    `static short` | `EVENT_STATUS_COMMAND` Event : Status APDU command = 19
    `static short` | `EVENT_TERMINAL_APPLICATIONS` Event: Terminal Applications=130
    `static short` | `EVENT_TIMER_EXPIRATION` Event : Timer Expiration = 11
    `static short` | `EVENT_UNRECOGNIZED_ENVELOPE` Event : Unrecognized Envelope = -1
    `static byte` | `POLL_NO_DURATION` Poll Interval : request to deregister from proactive polling = 0
    `static byte` | `POLL_SYSTEM_DURATION` Poll Interval : request the system duration = -1
    `static byte` | `PRO_CMD_ACTIVATE` Type of proactive command: Activate = 0x70
    `static byte` | `PRO_CMD_CLOSE_CHANNEL` Type of proactive command : Close Channel = 0x41
    `static byte` | `PRO_CMD_CONTACTLESS_STATE_CHANGED` Type of proactive command: Contactless State Changed = 0x71
    `static byte` | `PRO_CMD_DECLARE_SERVICE` Type of proactive command : Declare Service = 0x47
    `static byte` | `PRO_CMD_DISPLAY_TEXT` Type of proactive command : DISPLAY TEXT = 0x21
    `static byte` | `PRO_CMD_GET_CHANNEL_STATUS` Type of proactive command : Get Channel Status = 0x44
    `static byte` | `PRO_CMD_GET_INKEY` Type of proactive command : GET INKEY = 0x22
    `static byte` | `PRO_CMD_GET_INPUT` Type of proactive command : GET INPUT = 0x23
    `static byte` | `PRO_CMD_GET_READER_STATUS` Type of proactive command : GET READER STATUS = 0x33
    `static byte` | `PRO_CMD_GET_SERVICE_INFORMATION` Type of proactive command : Get Service Information = 0x46
    `static byte` | `PRO_CMD_LANGUAGE_NOTIFICATION` Type of proactive command : Language Notification = 0x35
    `static byte` | `PRO_CMD_LAUNCH_BROWSER` Type of proactive command : LAUNCH BROWSER = 0x15
    `static byte` | `PRO_CMD_MORE_TIME` Type of proactive command : MORE TIME = 0x02
    `static byte` | `PRO_CMD_OPEN_CHANNEL` Type of proactive command : Open Channel = 0x40
    `static byte` | `PRO_CMD_PERFORM_CARD_APDU` Type of proactive command : PERFORM CARD APDU = 0x30
    `static byte` | `PRO_CMD_PLAY_TONE` Type of proactive command : PLAY TONE = 0x20
    `static byte` | `PRO_CMD_POWER_OFF_CARD` Type of proactive command : POWER OFF CARD = 0x32
    `static byte` | `PRO_CMD_POWER_ON_CARD` Type of proactive command : POWER ON CARD = 0x31
    `static byte` | `PRO_CMD_PROVIDE_LOCAL_INFORMATION` Type of proactive command : PROVIDE LOCAL INFORMATION = 0x26
    `static byte` | `PRO_CMD_RECEIVE_DATA` Type of proactive command : Receive Data = 0x42
    `static byte` | `PRO_CMD_REFRESH` Type of proactive command : REFRESH = 0x01
    `static byte` | `PRO_CMD_RUN_AT_COMMAND` Type of proactive command : RUN AT COMMAND = 0x34
    `static byte` | `PRO_CMD_SELECT_ITEM` Type of proactive command : SELECT ITEM = 0x24
    `static byte` | `PRO_CMD_SEND_DATA` Type of proactive command : Send Data = 0x43
    `static byte` | `PRO_CMD_SEND_DTMF` Type of proactive command : SEND DTMF = 0x14
    `static byte` | `PRO_CMD_SEND_SHORT_MESSAGE` Type of proactive command : SEND SHORT MESSAGE =0x13
    `static byte` | `PRO_CMD_SERVICE_SEARCH` Type of proactive command : Service Search = 0x45
    `static byte` | `PRO_CMD_SET_UP_CALL` Type of proactive command : SET UP CALL = 0x10
    `static byte` | `PRO_CMD_SET_UP_IDLE_MODE_TEXT` Type of proactive command : SET UP IDLE MODE TEXT = 0x28
    `static byte` | `PRO_CMD_TIMER_MANAGEMENT` Type of proactive command : TIMER MANAGEMENT = 0x27
    `static byte` | `RES_CMD_PERF` General Result : command performed successfully = 0x00
    `static byte` | `RES_CMD_PERF_BACKWARD_MOVE_REQ` General Result : command performed backward move requested = 0x11
    `static byte` | `RES_CMD_PERF_HELP_INFO_REQ` General Result : command performed help information required= 0x13
    `static byte` | `RES_CMD_PERF_LIMITED_SERVICE` General Result : command performed successfully limited service = 0x06
    `static byte` | `RES_CMD_PERF_MISSING_INFO` General Result : command performed with missing information = 0x02
    `static byte` | `RES_CMD_PERF_MODIF_CC_NAA` General Result : command performed modified by Call Control = 0x05
    `static byte` | `RES_CMD_PERF_NO_RESP_FROM_USER` General Result : command performed no response from user = 0x12
    `static byte` | `RES_CMD_PERF_PARTIAL_COMPR` General Result : command performed with partial comprehension= 0x01
    `static byte` | `RES_CMD_PERF_REFRESH_ADD_EF_READ` General Result : REFRESH performed with additional EFs read = 0x03
    `static byte` | `RES_CMD_PERF_REQ_ICON_NOT_DISP` General Result : command performed requested icon not displayed= 0x04
    `static byte` | `RES_CMD_PERF_SESSION_TERM_USER` General Result : proactive UICC session terminated by user = 0x10
    `static byte` | `RES_CMD_PERF_WITH_MODIFICATION` General Result : command performed with modifications = 0x07
    `static byte` | `RES_ERROR_ACCESS_TECH_ERROR` General Result : Access Technology unable to process command = 0x3B
    `static byte` | `RES_ERROR_BEARER_INDEPENDENT_PROTOCOL_ERROR` General Result : Bearer Independent Protocol error = 0x3A
    `static byte` | `RES_ERROR_CMD_BEYOND_TERMINAL_CAPAB` General Result : command beyond terminal's capabilities = 0x30
    `static byte` | `RES_ERROR_CMD_DATA_NOT_UNDERSTOOD` General Result : command data not understood by terminal = 0x32
    `static byte` | `RES_ERROR_CMD_NUMBER_NOT_KNOWN` General Result : command number not known by terminal = 0x33
    `static byte` | `RES_ERROR_CMD_TYP_NOT_UNDERSTOOD` General Result : command type not understood by terminal = 0x31
    `static byte` | `RES_ERROR_INTERACT_CC_SMSMO_BY_NAA` General Result : interaction with CC NAA = 0x39
    `static byte` | `RES_ERROR_LAUNCH_BROWSE_GENERIC_CODE` Generic Result : Launch browser generic error code = 0x26;
    `static byte` | `RES_ERROR_MULTIPLE_CARD_ERROR` General Result : Multiple card command error = 0x38
    `static byte` | `RES_ERROR_REQ_VALUES_MISS` General Result : required values are missing = 0x36
    `static byte` | `RES_REFRESH_PERF_NO_NAA_ACTIVE` General Result : REFRESH performed but indicated NAA was not active = 0x08
    `static byte` | `RES_TEMP_PB_IN_CONTR_TIMER_STATE` General Result : Action in contradiction with timer state = 0x24
    `static byte` | `RES_TEMP_PB_INTERACT_CC_BY_NAA` General Result : Interaction with call control by SIM = 0x25
    `static byte` | `RES_TEMP_PB_SESSION_TERM_USER` General Result : Network currently unable to process command = 0x21
    `static byte` | `RES_TEMP_PB_TERMINAL_UNABLE_PROC` General Result : Terminal currently unable to process command= 0x20
    `static byte` | `RES_TEMP_PB_USER_CLEAR_CALL` General Result : User cleared call before connected or before the network released it = 0x23
    `static byte` | `RES_TEMP_PB_USER_REJECT_CALL_REQ` General Result : User did not accept call set-up request = 0x22
    `static byte` | `TAG_ACCESS_TECHNOLOGY` Comprehension-TLV : Access Technology Tag = 0x3F
    `static byte` | `TAG_ADDRESS` Comprehension-TLV : Address tag = 0x06
    `static byte` | `TAG_AID` Comprehension-TLV : AID TAG = 0x2F
    `static byte` | `TAG_ALPHA_IDENTIFIER` Comprehension-TLV : Alpha Identifier tag = 0x05
    `static byte` | `TAG_AT_COMMAND` Comprehension-TLV : AT Command tag = 0x28
    `static byte` | `TAG_AT_RESPONSE` Comprehension-TLV : AT Response tag = 0x29
    `static byte` | `TAG_ATTRIBUTE_INFORMATION` Comprehension-TLV : Attribute Information = 0x44
    `static byte` | `TAG_BATTERY_STATE` Comprehension-TLV: Battery State tag = 0x63
    `static byte` | `TAG_BEARER` Comprehension-TLV : Bearer TAG = 0x32
    `static byte` | `TAG_BEARER_DESCRIPTION` Comprehension-TLV : Bearer Description Tag = 0x35
    `static byte` | `TAG_BROWSER_IDENTITY` Comprehension-TLV : Browser Identity Tag = 0x30
    `static byte` | `TAG_BROWSER_TERMINATION` Comprehension-TLV : Browser Termination Cause Tag = 0x34
    `static byte` | `TAG_BROWSING_STATUS` Comprehension-TLV: Browsing Status tag = 0x64
    `static byte` | `TAG_BUFFER_SIZE` Comprehension-TLV : Buffer size Tag = 0x39;
    `static byte` | `TAG_C_APDU` Comprehension-TLV : C-APDU tag = 0x22
    `static byte` | `TAG_CALL_CONTROL_REQUESTED_ACTION` Comprehension-TLV : Call Control requested action tag = 0x27
    `static byte` | `TAG_CALLED_PARTY_SUBADDRESS` Comprehension-TLV : Called Party Subaddress tag = 0x08
    `static byte` | `TAG_CAPABILITY_CONFIGURATION_PARAMETERS` Comprehension-TLV : Capability Configuration Parameters tag = 0x07
    `static byte` | `TAG_CARD_ATR` Comprehension-TLV : Card ATR tag = 0x21
    `static byte` | `TAG_CARD_READER_ID` Comprehension-TLV : Card reader identifier Tag = 0x3A
    `static byte` | `TAG_CARD_READER_STATUS` Comprehension-TLV : Card Reader status tag = 0x20
    `static byte` | `TAG_CHANNEL_DATA` Comprehension-TLV : Channel Data Tag = 0x36
    `static byte` | `TAG_CHANNEL_DATA_LENGTH` Comprehension-TLV : Channel Data Length Tag = 0x37
    `static byte` | `TAG_CHANNEL_DATA_STATUS` Comprehension-TLV : Channel Status Tag = 0x38
    `static byte` | `TAG_COMMAND_DETAILS` Comprehension-TLV : Command Details tag = 0x01
    `static byte` | `TAG_CONTACTLESS_STATE_REQUEST` Comprehension-TLV: Contactless state request tag = 0x53
    `static byte` | `TAG_DATE_TIME_AND_TIME_ZONE` Comprehension-TLV : Date-Time and Time Zone tag = 0x26
    `static byte` | `TAG_DEFAULT_TEXT` Comprehension-TLV : Default Text tag = 0x17
    `static byte` | `TAG_DEVICE_FILTER` Comprehension-TLV : Device Filter = 0x42
    `static byte` | `TAG_DEVICE_IDENTITIES` Comprehension-TLV : Device Identities tag = 0x02
    `static byte` | `TAG_DISPLAY_PARAMETERS` Comprehension-TLV : Display parameter tags = 0x40
    `static byte` | `TAG_DNS_SERVER_ADDRESS` Comprehension-TLV : DNS server address = 0x40
    `static byte` | `TAG_DTMF_STRING` Comprehension-TLV : DTMF string tag = 0x2C
    `static byte` | `TAG_DURATION` Comprehension-TLV : Duration tag = 0x04
    `static byte` | `TAG_ESN` Comprehension-TLV : ESN tag = 0x46
    `static byte` | `TAG_EVENT_LIST` Comprehension-TLV : Event List tag = 0x19
    `static byte` | `TAG_FILE_LIST` Comprehension-TLV : File List tag = 0x12
    `static byte` | `TAG_HELP_REQUEST` Comprehension-TLV : Help Request tag = 0x15
    `static byte` | `TAG_ICON_IDENTIFIER` Comprehension-TLV : Icon Identifier tag = 0x1E
    `static byte` | `TAG_IMEI` Comprehension-TLV : IMEI tag = 0x14
    `static byte` | `TAG_IMEISV` Comprehension-TLV: IMEISV = 0x62
    `static byte` | `TAG_IMMEDIATE_RESPONSE` Comprehension-TLV : Immediate response tag = 0x2B
    `static byte` | `TAG_ITEM` Comprehension-TLV : Item tag = 0x0F
    `static byte` | `TAG_ITEM_ICON_IDENTIFIER_LIST` Comprehension-TLV : Item Icon Identifier list tag = 0x1F
    `static byte` | `TAG_ITEM_IDENTIFIER` Comprehension-TLV : Item Identifier tag = 0x10
    `static byte` | `TAG_ITEM_TEXT_ATTRIBUTE_LIST` Comprehension-TLV: Item Text attribute list tag = 0x51
    `static byte` | `TAG_ITEMS_NEXT_ACTION_INDICATOR` Comprehension-TLV : Items Next Action Indicator tag = 0x18
    `static byte` | `TAG_LANGUAGE` Comprehension-TLV : Language Tag = 0x2D
    `static byte` | `TAG_LOCATION_INFORMATION` Comprehension-TLV : Location Information tag = 0x13
    `static byte` | `TAG_LOCATION_STATUS` Comprehension-TLV : Location Status tag = 0x1B
    `static byte` | `TAG_NETWORK_ACCESS_NAME` Comprehension-TLV: Network Access name tag = 0x47
    `static byte` | `TAG_NETWORK_MEASUREMENT_RESULTS` Comprehension-TLV : Network Measurement Results tag = 0x16
    `static byte` | `TAG_NETWORK_SEARCH_MODE` Comprehension-TLV: Network Search Mode tag = 0x65
    `static byte` | `TAG_OTHER_DATA_DESTINATION_ADDRESS` Comprehension-TLV : Other address (data destination address) = 0x3E
    `static byte` | `TAG_PROVISION_REFERENCE_FILE` Comprehension-TLV : Provisioning Reference File Tag = 0x33
    `static byte` | `TAG_R_APDU` Comprehension-TLV : R-APDU tag = 0x23
    `static byte` | `TAG_REMOTE_ENTITY_ADDRESS` Comprehension-TLV: Remote Entity Address tag = 0x49
    `static byte` | `TAG_RESPONSE_LENGTH` Comprehension-TLV : Response Length tag = 0x11
    `static byte` | `TAG_RESULT` Comprehension-TLV : Result tag = 0x03
    `static byte` | `TAG_SERVICE_AVAILABILITY` Comprehension-TLV : Service Availability = 0x45
    `static byte` | `TAG_SERVICE_RECORD` Comprehension-TLV : Service Record = 0x41
    `static byte` | `TAG_SERVICE_SEARCH` Comprehension-TLV : Service Search = 0x43
    `static byte` | `TAG_SET_CR` Comprehension-TLV : mask to set the CR flag of any Comprehension-TLV tag = 0x80
    `static byte` | `TAG_SET_NO_CR` Comprehension-TLV : mask to reset the CR flag of any Comprehension-TLV tag = 0x7F
    `static byte` | `TAG_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES` Comprehension-TLV : Supported Radio Access Technologies Tag = 0x34
    `static byte` | `TAG_TEXT_ATTRIBUTE_TAG` Comprehension-TLV: Text attribute tag = 0x50
    `static byte` | `TAG_TEXT_STRING` Comprehension-TLV : Text String tag = 0x0D
    `static byte` | `TAG_TIMER_IDENTIFIER` Comprehension-TLV : Timer Identifier tag = 0x24
    `static byte` | `TAG_TIMER_VALUE` Comprehension-TLV : Timer Value tag = 0x25
    `static byte` | `TAG_TONE` Comprehension-TLV : Tone tag = 0x0E
    `static byte` | `TAG_UICC_TERMINAL_TRANSPORT_LEVEL` Comprehension-TLV : UICC/Terminal interface transport level = 0x3C
    `static byte` | `TAG_URI` Comprehension-TLV : URI Tag = 0x31
    `static byte` | `TAG_URL` Comprehension-TLV : URL Tag = 0x31
    `static byte` | `TLV_FOUND_CR_NOT_SET` findTLV method result : if TLV is found with CR not set = 0x02
    `static byte` | `TLV_FOUND_CR_SET` findTLV method result : if TLV is found with CR set = 0x01
    `static byte` | `TLV_LENGTH_CODED_2BYTES` Value of a TLV Length field's first byte in TLV with a Value field is greater than 127 bytes = 0x81
    `static byte` | `TLV_NOT_FOUND` findTLV method result : if TLV is not found in the handler = 0x00

- - ### Field Detail

    - #### EVENT_PROFILE_DOWNLOAD

          static final short EVENT_PROFILE_DOWNLOAD

      Event : Profile Download = 1
      See Also:
        Constant Field Values

    - #### EVENT_MENU_SELECTION

          static final short EVENT_MENU_SELECTION

      Event : Menu Selection = 7
      See Also:
        Constant Field Values

    - #### EVENT_MENU_SELECTION_HELP_REQUEST

          static final short EVENT_MENU_SELECTION_HELP_REQUEST

      Event : Menu Selection Help Request = 8
      See Also:
        Constant Field Values

    - #### EVENT_CALL_CONTROL_BY_NAA

          static final short EVENT_CALL_CONTROL_BY_NAA

      Event : Call Control by NAA = 9
      See Also:
        Constant Field Values

    - #### EVENT_TIMER_EXPIRATION

          static final short EVENT_TIMER_EXPIRATION

      Event : Timer Expiration = 11
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_MT_CALL

          static final short EVENT_EVENT_DOWNLOAD_MT_CALL

      Event : Event Download - MT call type = 12
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_CALL_CONNECTED

          static final short EVENT_EVENT_DOWNLOAD_CALL_CONNECTED

      Event : Event Download - Call connected type = 13
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_CALL_DISCONNECTED

          static final short EVENT_EVENT_DOWNLOAD_CALL_DISCONNECTED

      Event : Event Download - Call disconnected type = 14
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_LOCATION_STATUS

          static final short EVENT_EVENT_DOWNLOAD_LOCATION_STATUS

      Event : Event Download - Location status type = 15
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_USER_ACTIVITY

          static final short EVENT_EVENT_DOWNLOAD_USER_ACTIVITY

      Event : Event Download - User activity type = 16
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_IDLE_SCREEN_AVAILABLE

          static final short EVENT_EVENT_DOWNLOAD_IDLE_SCREEN_AVAILABLE

      Event : Event Download - Idle screen available type = 17
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_CARD_READER_STATUS

          static final short EVENT_EVENT_DOWNLOAD_CARD_READER_STATUS

      Event : Event Download - Card Reader Status = 18
      See Also:
        Constant Field Values

    - #### EVENT_STATUS_COMMAND

          static final short EVENT_STATUS_COMMAND

      Event : Status APDU command = 19
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_LANGUAGE_SELECTION

          static final short EVENT_EVENT_DOWNLOAD_LANGUAGE_SELECTION

      Event : Event Download - Language Selection type = 20
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_BROWSER_TERMINATION

          static final short EVENT_EVENT_DOWNLOAD_BROWSER_TERMINATION

      Event : Event Download - Browser Termination type =21
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_DATA_AVAILABLE

          static final short EVENT_EVENT_DOWNLOAD_DATA_AVAILABLE

      Event : Event Download - Data Available type = 22
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_CHANNEL_STATUS

          static final short EVENT_EVENT_DOWNLOAD_CHANNEL_STATUS

      Event : Event Download - Channel Status type = 23
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE

          static final short EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE

      Event : Event Download - Access Technology Change (single access technology) type = 25
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_DISPLAY_PARAMETER_CHANGED

          static final short EVENT_EVENT_DOWNLOAD_DISPLAY_PARAMETER_CHANGED

      Event : Event Download - Display Parameter Change type = 26
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_LOCAL_CONNECTION

          static final short EVENT_EVENT_DOWNLOAD_LOCAL_CONNECTION

      Event : Event Download - Local Connection type = 27
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_NETWORK_SEARCH_MODE_CHANGE

          static final short EVENT_EVENT_DOWNLOAD_NETWORK_SEARCH_MODE_CHANGE

      Event: Event Network Search Mode Change = 28
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_BROWSING_STATUS

          static final short EVENT_EVENT_BROWSING_STATUS

      Event: Event Browsing Status = 29
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_HCI_CONNECTIVITY

          static final short EVENT_EVENT_DOWNLOAD_HCI_CONNECTIVITY

      Event: Event HCI Connectivity = 32
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_FRAMES_INFORMATION_CHANGED

          static final short EVENT_EVENT_DOWNLOAD_FRAMES_INFORMATION_CHANGED

      Event: Frames Information Changed = 34
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_CONTACTLESS_STATE_REQUEST

          static final short EVENT_EVENT_DOWNLOAD_CONTACTLESS_STATE_REQUEST

      Event: Contactless State Request = 35
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_POLL_INTERVAL_NEGOTIATION

          static final short EVENT_EVENT_POLL_INTERVAL_NEGOTIATION

      Event: Poll Interval Negotiation = 36
      See Also:
        Constant Field Values

    - #### EVENT_PROACTIVE_HANDLER_AVAILABLE

          static final short EVENT_PROACTIVE_HANDLER_AVAILABLE

      Event: Proactive Handler Available = 123
      See Also:
        Constant Field Values

    - #### EVENT_EXTERNAL_FILE_UPDATE

          static final short EVENT_EXTERNAL_FILE_UPDATE

      Event: External File Update = 124
      See Also:
        Constant Field Values

    - #### EVENT_REMOTE_FILE_UPDATE

          static final short EVENT_REMOTE_FILE_UPDATE

      Event: Remote File Update = 125
      See Also:
        Constant Field Values

    - #### EVENT_APPLICATION_DESELECT

          static final short EVENT_APPLICATION_DESELECT

      Event : Application Deselect type = 126
      See Also:
        Constant Field Values

    - #### EVENT_FIRST_COMMAND_AFTER_ATR

          static final short EVENT_FIRST_COMMAND_AFTER_ATR

      Event: First Command After ATR = 127
      See Also:
        Constant Field Values

    - #### EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE_MULTIPLE

          static final short EVENT_EVENT_DOWNLOAD_ACCESS_TECHNOLOGY_CHANGE_MULTIPLE

      Event: Event Download - Access Technology Change (multiple access technologies) type = 128
      See Also:
        Constant Field Values

    - #### EVENT_MEMORY_FAILURE

          static final short EVENT_MEMORY_FAILURE

      Event: Memory Failure = 129
      See Also:
        Constant Field Values

    - #### EVENT_TERMINAL_APPLICATIONS

          static final short EVENT_TERMINAL_APPLICATIONS

      Event: Terminal Applications=130
      See Also:
        Constant Field Values

    - #### EVENT_UNRECOGNIZED_ENVELOPE

          static final short EVENT_UNRECOGNIZED_ENVELOPE

      Event : Unrecognized Envelope = -1
      See Also:
        Constant Field Values

    - #### BTAG_PROACTIVE_UICC_COMMAND

          static final byte BTAG_PROACTIVE_UICC_COMMAND

      BER-TLV : Proactive UICC command tag = 0xD0
      See Also:
        Constant Field Values

    - #### BTAG_MENU_SELECTION

          static final byte BTAG_MENU_SELECTION

      BER-TLV : Menu Selection tag = 0xD3
      See Also:
        Constant Field Values

    - #### BTAG_CALL_CONTROL

          static final byte BTAG_CALL_CONTROL

      BER-TLV : Call Control tag = 0xD4
      See Also:
        Constant Field Values

    - #### BTAG_EVENT_DOWNLOAD

          static final byte BTAG_EVENT_DOWNLOAD

      BER-TLV : Event download tag = 0xD6
      See Also:
        Constant Field Values

    - #### BTAG_TIMER_EXPIRATION

          static final byte BTAG_TIMER_EXPIRATION

      BER-TLV : Timer Expiration tag = 0xD7
      See Also:
        Constant Field Values

    - #### TAG_COMMAND_DETAILS

          static final byte TAG_COMMAND_DETAILS

      Comprehension-TLV : Command Details tag = 0x01
      See Also:
        Constant Field Values

    - #### TAG_DEVICE_IDENTITIES

          static final byte TAG_DEVICE_IDENTITIES

      Comprehension-TLV : Device Identities tag = 0x02
      See Also:
        Constant Field Values

    - #### TAG_RESULT

          static final byte TAG_RESULT

      Comprehension-TLV : Result tag = 0x03
      See Also:
        Constant Field Values

    - #### TAG_DURATION

          static final byte TAG_DURATION

      Comprehension-TLV : Duration tag = 0x04
      See Also:
        Constant Field Values

    - #### TAG_ALPHA_IDENTIFIER

          static final byte TAG_ALPHA_IDENTIFIER

      Comprehension-TLV : Alpha Identifier tag = 0x05
      See Also:
        Constant Field Values

    - #### TAG_ADDRESS

          static final byte TAG_ADDRESS

      Comprehension-TLV : Address tag = 0x06
      See Also:
        Constant Field Values

    - #### TAG_CAPABILITY_CONFIGURATION_PARAMETERS

          static final byte TAG_CAPABILITY_CONFIGURATION_PARAMETERS

      Comprehension-TLV : Capability Configuration Parameters tag = 0x07
      See Also:
        Constant Field Values

    - #### TAG_CALLED_PARTY_SUBADDRESS

          static final byte TAG_CALLED_PARTY_SUBADDRESS

      Comprehension-TLV : Called Party Subaddress tag = 0x08
      See Also:
        Constant Field Values

    - #### TAG_TEXT_STRING

          static final byte TAG_TEXT_STRING

      Comprehension-TLV : Text String tag = 0x0D
      See Also:
        Constant Field Values

    - #### TAG_TONE

          static final byte TAG_TONE

      Comprehension-TLV : Tone tag = 0x0E
      See Also:
        Constant Field Values

    - #### TAG_ITEM

          static final byte TAG_ITEM

      Comprehension-TLV : Item tag = 0x0F
      See Also:
        Constant Field Values

    - #### TAG_ITEM_IDENTIFIER

          static final byte TAG_ITEM_IDENTIFIER

      Comprehension-TLV : Item Identifier tag = 0x10
      See Also:
        Constant Field Values

    - #### TAG_RESPONSE_LENGTH

          static final byte TAG_RESPONSE_LENGTH

      Comprehension-TLV : Response Length tag = 0x11
      See Also:
        Constant Field Values

    - #### TAG_FILE_LIST

          static final byte TAG_FILE_LIST

      Comprehension-TLV : File List tag = 0x12
      See Also:
        Constant Field Values

    - #### TAG_LOCATION_INFORMATION

          static final byte TAG_LOCATION_INFORMATION

      Comprehension-TLV : Location Information tag = 0x13
      See Also:
        Constant Field Values

    - #### TAG_IMEI

          static final byte TAG_IMEI

      Comprehension-TLV : IMEI tag = 0x14
      See Also:
        Constant Field Values

    - #### TAG_HELP_REQUEST

          static final byte TAG_HELP_REQUEST

      Comprehension-TLV : Help Request tag = 0x15
      See Also:
        Constant Field Values

    - #### TAG_NETWORK_MEASUREMENT_RESULTS

          static final byte TAG_NETWORK_MEASUREMENT_RESULTS

      Comprehension-TLV : Network Measurement Results tag = 0x16
      See Also:
        Constant Field Values

    - #### TAG_DEFAULT_TEXT

          static final byte TAG_DEFAULT_TEXT

      Comprehension-TLV : Default Text tag = 0x17
      See Also:
        Constant Field Values

    - #### TAG_ITEMS_NEXT_ACTION_INDICATOR

          static final byte TAG_ITEMS_NEXT_ACTION_INDICATOR

      Comprehension-TLV : Items Next Action Indicator tag = 0x18
      See Also:
        Constant Field Values

    - #### TAG_EVENT_LIST

          static final byte TAG_EVENT_LIST

      Comprehension-TLV : Event List tag = 0x19
      See Also:
        Constant Field Values

    - #### TAG_LOCATION_STATUS

          static final byte TAG_LOCATION_STATUS

      Comprehension-TLV : Location Status tag = 0x1B
      See Also:
        Constant Field Values

    - #### TAG_ICON_IDENTIFIER

          static final byte TAG_ICON_IDENTIFIER

      Comprehension-TLV : Icon Identifier tag = 0x1E
      See Also:
        Constant Field Values

    - #### TAG_ITEM_ICON_IDENTIFIER_LIST

          static final byte TAG_ITEM_ICON_IDENTIFIER_LIST

      Comprehension-TLV : Item Icon Identifier list tag = 0x1F
      See Also:
        Constant Field Values

    - #### TAG_CARD_READER_STATUS

          static final byte TAG_CARD_READER_STATUS

      Comprehension-TLV : Card Reader status tag = 0x20
      See Also:
        Constant Field Values

    - #### TAG_CARD_ATR

          static final byte TAG_CARD_ATR

      Comprehension-TLV : Card ATR tag = 0x21
      See Also:
        Constant Field Values

    - #### TAG_C_APDU

          static final byte TAG_C_APDU

      Comprehension-TLV : C-APDU tag = 0x22
      See Also:
        Constant Field Values

    - #### TAG_R_APDU

          static final byte TAG_R_APDU

      Comprehension-TLV : R-APDU tag = 0x23
      See Also:
        Constant Field Values

    - #### TAG_TIMER_IDENTIFIER

          static final byte TAG_TIMER_IDENTIFIER

      Comprehension-TLV : Timer Identifier tag = 0x24
      See Also:
        Constant Field Values

    - #### TAG_TIMER_VALUE

          static final byte TAG_TIMER_VALUE

      Comprehension-TLV : Timer Value tag = 0x25
      See Also:
        Constant Field Values

    - #### TAG_DATE_TIME_AND_TIME_ZONE

          static final byte TAG_DATE_TIME_AND_TIME_ZONE

      Comprehension-TLV : Date-Time and Time Zone tag = 0x26
      See Also:
        Constant Field Values

    - #### TAG_CALL_CONTROL_REQUESTED_ACTION

          static final byte TAG_CALL_CONTROL_REQUESTED_ACTION

      Comprehension-TLV : Call Control requested action tag = 0x27
      See Also:
        Constant Field Values

    - #### TAG_AT_COMMAND

          static final byte TAG_AT_COMMAND

      Comprehension-TLV : AT Command tag = 0x28
      See Also:
        Constant Field Values

    - #### TAG_AT_RESPONSE

          static final byte TAG_AT_RESPONSE

      Comprehension-TLV : AT Response tag = 0x29
      See Also:
        Constant Field Values

    - #### TAG_IMMEDIATE_RESPONSE

          static final byte TAG_IMMEDIATE_RESPONSE

      Comprehension-TLV : Immediate response tag = 0x2B
      See Also:
        Constant Field Values

    - #### TAG_DTMF_STRING

          static final byte TAG_DTMF_STRING

      Comprehension-TLV : DTMF string tag = 0x2C
      See Also:
        Constant Field Values

    - #### TAG_LANGUAGE

          static final byte TAG_LANGUAGE

      Comprehension-TLV : Language Tag = 0x2D
      See Also:
        Constant Field Values

    - #### TAG_AID

          static final byte TAG_AID

      Comprehension-TLV : AID TAG = 0x2F
      See Also:
        Constant Field Values

    - #### TAG_BROWSER_IDENTITY

          static final byte TAG_BROWSER_IDENTITY

      Comprehension-TLV : Browser Identity Tag = 0x30
      See Also:
        Constant Field Values

    - #### TAG_URL

          static final byte TAG_URL

      Comprehension-TLV : URL Tag = 0x31
      See Also:
        Constant Field Values

    - #### TAG_URI

          static final byte TAG_URI

      Comprehension-TLV : URI Tag = 0x31
      See Also:
        Constant Field Values

    - #### TAG_BEARER

          static final byte TAG_BEARER

      Comprehension-TLV : Bearer TAG = 0x32
      See Also:
        Constant Field Values

    - #### TAG_PROVISION_REFERENCE_FILE

          static final byte TAG_PROVISION_REFERENCE_FILE

      Comprehension-TLV : Provisioning Reference File Tag = 0x33
      See Also:
        Constant Field Values

    - #### TAG_BROWSER_TERMINATION

          static final byte TAG_BROWSER_TERMINATION

      Comprehension-TLV : Browser Termination Cause Tag = 0x34
      See Also:
        Constant Field Values

    - #### TAG_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES

          static final byte TAG_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES

      Comprehension-TLV : Supported Radio Access Technologies Tag = 0x34
      See Also:
        Constant Field Values

    - #### TAG_BEARER_DESCRIPTION

          static final byte TAG_BEARER_DESCRIPTION

      Comprehension-TLV : Bearer Description Tag = 0x35
      See Also:
        Constant Field Values

    - #### TAG_CHANNEL_DATA

          static final byte TAG_CHANNEL_DATA

      Comprehension-TLV : Channel Data Tag = 0x36
      See Also:
        Constant Field Values

    - #### TAG_CHANNEL_DATA_LENGTH

          static final byte TAG_CHANNEL_DATA_LENGTH

      Comprehension-TLV : Channel Data Length Tag = 0x37
      See Also:
        Constant Field Values

    - #### TAG_CHANNEL_DATA_STATUS

          static final byte TAG_CHANNEL_DATA_STATUS

      Comprehension-TLV : Channel Status Tag = 0x38
      See Also:
        Constant Field Values

    - #### TAG_BUFFER_SIZE

          static final byte TAG_BUFFER_SIZE

      Comprehension-TLV : Buffer size Tag = 0x39;
      See Also:
        Constant Field Values

    - #### TAG_CARD_READER_ID

          static final byte TAG_CARD_READER_ID

      Comprehension-TLV : Card reader identifier Tag = 0x3A
      See Also:
        Constant Field Values

    - #### TAG_UICC_TERMINAL_TRANSPORT_LEVEL

          static final byte TAG_UICC_TERMINAL_TRANSPORT_LEVEL

      Comprehension-TLV : UICC/Terminal interface transport level = 0x3C
      See Also:
        Constant Field Values

    - #### TAG_OTHER_DATA_DESTINATION_ADDRESS

          static final byte TAG_OTHER_DATA_DESTINATION_ADDRESS

      Comprehension-TLV : Other address (data destination address) = 0x3E
      See Also:
        Constant Field Values

    - #### TAG_ACCESS_TECHNOLOGY

          static final byte TAG_ACCESS_TECHNOLOGY

      Comprehension-TLV : Access Technology Tag = 0x3F
      See Also:
        Constant Field Values

    - #### TAG_DISPLAY_PARAMETERS

          static final byte TAG_DISPLAY_PARAMETERS

      Comprehension-TLV : Display parameter tags = 0x40
      See Also:
        Constant Field Values

    - #### TAG_DNS_SERVER_ADDRESS

          static final byte TAG_DNS_SERVER_ADDRESS

      Comprehension-TLV : DNS server address = 0x40
      See Also:
        Constant Field Values

    - #### TAG_SERVICE_RECORD

          static final byte TAG_SERVICE_RECORD

      Comprehension-TLV : Service Record = 0x41
      See Also:
        Constant Field Values

    - #### TAG_DEVICE_FILTER

          static final byte TAG_DEVICE_FILTER

      Comprehension-TLV : Device Filter = 0x42
      See Also:
        Constant Field Values

    - #### TAG_SERVICE_SEARCH

          static final byte TAG_SERVICE_SEARCH

      Comprehension-TLV : Service Search = 0x43
      See Also:
        Constant Field Values

    - #### TAG_ATTRIBUTE_INFORMATION

          static final byte TAG_ATTRIBUTE_INFORMATION

      Comprehension-TLV : Attribute Information = 0x44
      See Also:
        Constant Field Values

    - #### TAG_SERVICE_AVAILABILITY

          static final byte TAG_SERVICE_AVAILABILITY

      Comprehension-TLV : Service Availability = 0x45
      See Also:
        Constant Field Values

    - #### TAG_ESN

          static final byte TAG_ESN

      Comprehension-TLV : ESN tag = 0x46
      See Also:
        Constant Field Values

    - #### TAG_NETWORK_ACCESS_NAME

          static final byte TAG_NETWORK_ACCESS_NAME

      Comprehension-TLV: Network Access name tag = 0x47
      See Also:
        Constant Field Values

    - #### TAG_REMOTE_ENTITY_ADDRESS

          static final byte TAG_REMOTE_ENTITY_ADDRESS

      Comprehension-TLV: Remote Entity Address tag = 0x49
      See Also:
        Constant Field Values

    - #### TAG_TEXT_ATTRIBUTE_TAG

          static final byte TAG_TEXT_ATTRIBUTE_TAG

      Comprehension-TLV: Text attribute tag = 0x50
      See Also:
        Constant Field Values

    - #### TAG_ITEM_TEXT_ATTRIBUTE_LIST

          static final byte TAG_ITEM_TEXT_ATTRIBUTE_LIST

      Comprehension-TLV: Item Text attribute list tag = 0x51
      See Also:
        Constant Field Values

    - #### TAG_CONTACTLESS_STATE_REQUEST

          static final byte TAG_CONTACTLESS_STATE_REQUEST

      Comprehension-TLV: Contactless state request tag = 0x53
      See Also:
        Constant Field Values

    - #### TAG_IMEISV

          static final byte TAG_IMEISV

      Comprehension-TLV: IMEISV = 0x62
      See Also:
        Constant Field Values

    - #### TAG_BATTERY_STATE

          static final byte TAG_BATTERY_STATE

      Comprehension-TLV: Battery State tag = 0x63
      See Also:
        Constant Field Values

    - #### TAG_BROWSING_STATUS

          static final byte TAG_BROWSING_STATUS

      Comprehension-TLV: Browsing Status tag = 0x64
      See Also:
        Constant Field Values

    - #### TAG_NETWORK_SEARCH_MODE

          static final byte TAG_NETWORK_SEARCH_MODE

      Comprehension-TLV: Network Search Mode tag = 0x65
      See Also:
        Constant Field Values

    - #### TAG_SET_CR

          static final byte TAG_SET_CR

      Comprehension-TLV : mask to set the CR flag of any Comprehension-TLV tag = 0x80
      See Also:
        Constant Field Values

    - #### TAG_SET_NO_CR

          static final byte TAG_SET_NO_CR

      Comprehension-TLV : mask to reset the CR flag of any Comprehension-TLV tag = 0x7F
      See Also:
        Constant Field Values

    - #### TLV_LENGTH_CODED_2BYTES

          static final byte TLV_LENGTH_CODED_2BYTES

      Value of a TLV Length field's first byte in TLV with a Value field is greater than 127 bytes = 0x81
      See Also:
        Constant Field Values

    - #### TLV_NOT_FOUND

          static final byte TLV_NOT_FOUND

      findTLV method result : if TLV is not found in the handler = 0x00
      See Also:
        Constant Field Values

    - #### TLV_FOUND_CR_SET

          static final byte TLV_FOUND_CR_SET

      findTLV method result : if TLV is found with CR set = 0x01
      See Also:
        Constant Field Values

    - #### TLV_FOUND_CR_NOT_SET

          static final byte TLV_FOUND_CR_NOT_SET

      findTLV method result : if TLV is found with CR not set = 0x02
      See Also:
        Constant Field Values

    - #### PRO_CMD_REFRESH

          static final byte PRO_CMD_REFRESH

      Type of proactive command : REFRESH = 0x01
      See Also:
        Constant Field Values

    - #### PRO_CMD_MORE_TIME

          static final byte PRO_CMD_MORE_TIME

      Type of proactive command : MORE TIME = 0x02
      See Also:
        Constant Field Values

    - #### PRO_CMD_SET_UP_CALL

          static final byte PRO_CMD_SET_UP_CALL

      Type of proactive command : SET UP CALL = 0x10
      See Also:
        Constant Field Values

    - #### PRO_CMD_SEND_SHORT_MESSAGE

          static final byte PRO_CMD_SEND_SHORT_MESSAGE

      Type of proactive command : SEND SHORT MESSAGE =0x13
      See Also:
        Constant Field Values

    - #### PRO_CMD_SEND_DTMF

          static final byte PRO_CMD_SEND_DTMF

      Type of proactive command : SEND DTMF = 0x14
      See Also:
        Constant Field Values

    - #### PRO_CMD_LAUNCH_BROWSER

          static final byte PRO_CMD_LAUNCH_BROWSER

      Type of proactive command : LAUNCH BROWSER = 0x15
      See Also:
        Constant Field Values

    - #### PRO_CMD_PLAY_TONE

          static final byte PRO_CMD_PLAY_TONE

      Type of proactive command : PLAY TONE = 0x20
      See Also:
        Constant Field Values

    - #### PRO_CMD_DISPLAY_TEXT

          static final byte PRO_CMD_DISPLAY_TEXT

      Type of proactive command : DISPLAY TEXT = 0x21
      See Also:
        Constant Field Values

    - #### PRO_CMD_GET_INKEY

          static final byte PRO_CMD_GET_INKEY

      Type of proactive command : GET INKEY = 0x22
      See Also:
        Constant Field Values

    - #### PRO_CMD_GET_INPUT

          static final byte PRO_CMD_GET_INPUT

      Type of proactive command : GET INPUT = 0x23
      See Also:
        Constant Field Values

    - #### PRO_CMD_SELECT_ITEM

          static final byte PRO_CMD_SELECT_ITEM

      Type of proactive command : SELECT ITEM = 0x24
      See Also:
        Constant Field Values

    - #### PRO_CMD_PROVIDE_LOCAL_INFORMATION

          static final byte PRO_CMD_PROVIDE_LOCAL_INFORMATION

      Type of proactive command : PROVIDE LOCAL INFORMATION = 0x26
      See Also:
        Constant Field Values

    - #### PRO_CMD_TIMER_MANAGEMENT

          static final byte PRO_CMD_TIMER_MANAGEMENT

      Type of proactive command : TIMER MANAGEMENT = 0x27
      See Also:
        Constant Field Values

    - #### PRO_CMD_SET_UP_IDLE_MODE_TEXT

          static final byte PRO_CMD_SET_UP_IDLE_MODE_TEXT

      Type of proactive command : SET UP IDLE MODE TEXT = 0x28
      See Also:
        Constant Field Values

    - #### PRO_CMD_PERFORM_CARD_APDU

          static final byte PRO_CMD_PERFORM_CARD_APDU

      Type of proactive command : PERFORM CARD APDU = 0x30
      See Also:
        Constant Field Values

    - #### PRO_CMD_POWER_ON_CARD

          static final byte PRO_CMD_POWER_ON_CARD

      Type of proactive command : POWER ON CARD = 0x31
      See Also:
        Constant Field Values

    - #### PRO_CMD_POWER_OFF_CARD

          static final byte PRO_CMD_POWER_OFF_CARD

      Type of proactive command : POWER OFF CARD = 0x32
      See Also:
        Constant Field Values

    - #### PRO_CMD_GET_READER_STATUS

          static final byte PRO_CMD_GET_READER_STATUS

      Type of proactive command : GET READER STATUS = 0x33
      See Also:
        Constant Field Values

    - #### PRO_CMD_RUN_AT_COMMAND

          static final byte PRO_CMD_RUN_AT_COMMAND

      Type of proactive command : RUN AT COMMAND = 0x34
      See Also:
        Constant Field Values

    - #### PRO_CMD_LANGUAGE_NOTIFICATION

          static final byte PRO_CMD_LANGUAGE_NOTIFICATION

      Type of proactive command : Language Notification = 0x35
      See Also:
        Constant Field Values

    - #### PRO_CMD_OPEN_CHANNEL

          static final byte PRO_CMD_OPEN_CHANNEL

      Type of proactive command : Open Channel = 0x40
      See Also:
        Constant Field Values

    - #### PRO_CMD_CLOSE_CHANNEL

          static final byte PRO_CMD_CLOSE_CHANNEL

      Type of proactive command : Close Channel = 0x41
      See Also:
        Constant Field Values

    - #### PRO_CMD_RECEIVE_DATA

          static final byte PRO_CMD_RECEIVE_DATA

      Type of proactive command : Receive Data = 0x42
      See Also:
        Constant Field Values

    - #### PRO_CMD_SEND_DATA

          static final byte PRO_CMD_SEND_DATA

      Type of proactive command : Send Data = 0x43
      See Also:
        Constant Field Values

    - #### PRO_CMD_GET_CHANNEL_STATUS

          static final byte PRO_CMD_GET_CHANNEL_STATUS

      Type of proactive command : Get Channel Status = 0x44
      See Also:
        Constant Field Values

    - #### PRO_CMD_SERVICE_SEARCH

          static final byte PRO_CMD_SERVICE_SEARCH

      Type of proactive command : Service Search = 0x45
      See Also:
        Constant Field Values

    - #### PRO_CMD_GET_SERVICE_INFORMATION

          static final byte PRO_CMD_GET_SERVICE_INFORMATION

      Type of proactive command : Get Service Information = 0x46
      See Also:
        Constant Field Values

    - #### PRO_CMD_DECLARE_SERVICE

          static final byte PRO_CMD_DECLARE_SERVICE

      Type of proactive command : Declare Service = 0x47
      See Also:
        Constant Field Values

    - #### PRO_CMD_ACTIVATE

          static final byte PRO_CMD_ACTIVATE

      Type of proactive command: Activate = 0x70
      See Also:
        Constant Field Values

    - #### PRO_CMD_CONTACTLESS_STATE_CHANGED

          static final byte PRO_CMD_CONTACTLESS_STATE_CHANGED

      Type of proactive command: Contactless State Changed = 0x71
      See Also:
        Constant Field Values

    - #### DEV_ID_KEYPAD

          static final byte DEV_ID_KEYPAD

      Device Identity : Keypad = 0x01
      See Also:
        Constant Field Values

    - #### DEV_ID_DISPLAY

          static final byte DEV_ID_DISPLAY

      Device Identity : Display = 0x02
      See Also:
        Constant Field Values

    - #### DEV_ID_EARPIECE

          static final byte DEV_ID_EARPIECE

      Device Identity : Earpiece = 0x03
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_0

          static final byte DEV_ID_ADDITIONAL_CARD_READER_0

      Device Identity : Additional Card Reader 0 = 0x10
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_1

          static final byte DEV_ID_ADDITIONAL_CARD_READER_1

      Device Identity : Additional Card Reader 1 = 0x11
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_2

          static final byte DEV_ID_ADDITIONAL_CARD_READER_2

      Device Identity : Additional Card Reader 2 = 0x12
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_3

          static final byte DEV_ID_ADDITIONAL_CARD_READER_3

      Device Identity : Additional Card Reader 3 = 0x13
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_4

          static final byte DEV_ID_ADDITIONAL_CARD_READER_4

      Device Identity : Additional Card Reader 4 = 0x14
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_5

          static final byte DEV_ID_ADDITIONAL_CARD_READER_5

      Device Identity : Additional Card Reader 5 = 0x15
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_6

          static final byte DEV_ID_ADDITIONAL_CARD_READER_6

      Device Identity : Additional Card Reader 6 = 0x16
      See Also:
        Constant Field Values

    - #### DEV_ID_ADDITIONAL_CARD_READER_7

          static final byte DEV_ID_ADDITIONAL_CARD_READER_7

      Device Identity : Additional Card Reader 7 = 0x17
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_BASE

          static final byte DEV_ID_CHANNEL_BASE

      Device identity : Base Channel = 0x20
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_1

          static final byte DEV_ID_CHANNEL_1

      Device Identity : Channel 1 = 0x21;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_2

          static final byte DEV_ID_CHANNEL_2

      Device Identity : Channel 1 = 0x22;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_3

          static final byte DEV_ID_CHANNEL_3

      Device Identity : Channel 1 = 0x23;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_4

          static final byte DEV_ID_CHANNEL_4

      Device Identity : Channel 1 = 0x24;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_5

          static final byte DEV_ID_CHANNEL_5

      Device Identity : Channel 1 = 0x25;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_6

          static final byte DEV_ID_CHANNEL_6

      Device Identity : Channel 1 = 0x26;
      See Also:
        Constant Field Values

    - #### DEV_ID_CHANNEL_7

          static final byte DEV_ID_CHANNEL_7

      Device Identity : Channel 1 = 0x27;
      See Also:
        Constant Field Values

    - #### DEV_ID_UICC

          static final byte DEV_ID_UICC

      Device Identity : UICC = 0x81
      See Also:
        Constant Field Values

    - #### DEV_ID_TERMINAL

          static final byte DEV_ID_TERMINAL

      Device Identity : Terminal = 0x82
      See Also:
        Constant Field Values

    - #### DEV_ID_NETWORK

          static final byte DEV_ID_NETWORK

      Device Identity : Network = 0x83
      See Also:
        Constant Field Values

    - #### POLL_NO_DURATION

          static final byte POLL_NO_DURATION

      Poll Interval : request to deregister from proactive polling = 0
      See Also:
        Constant Field Values

    - #### POLL_SYSTEM_DURATION

          static final byte POLL_SYSTEM_DURATION

      Poll Interval : request the system duration = -1
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF

          static final byte RES_CMD_PERF

      General Result : command performed successfully = 0x00
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_PARTIAL_COMPR

          static final byte RES_CMD_PERF_PARTIAL_COMPR

      General Result : command performed with partial comprehension= 0x01
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_MISSING_INFO

          static final byte RES_CMD_PERF_MISSING_INFO

      General Result : command performed with missing information = 0x02
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_REFRESH_ADD_EF_READ

          static final byte RES_CMD_PERF_REFRESH_ADD_EF_READ

      General Result : REFRESH performed with additional EFs read = 0x03
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_REQ_ICON_NOT_DISP

          static final byte RES_CMD_PERF_REQ_ICON_NOT_DISP

      General Result : command performed requested icon not displayed= 0x04
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_MODIF_CC_NAA

          static final byte RES_CMD_PERF_MODIF_CC_NAA

      General Result : command performed modified by Call Control = 0x05
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_LIMITED_SERVICE

          static final byte RES_CMD_PERF_LIMITED_SERVICE

      General Result : command performed successfully limited service = 0x06
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_WITH_MODIFICATION

          static final byte RES_CMD_PERF_WITH_MODIFICATION

      General Result : command performed with modifications = 0x07
      See Also:
        Constant Field Values

    - #### RES_REFRESH_PERF_NO_NAA_ACTIVE

          static final byte RES_REFRESH_PERF_NO_NAA_ACTIVE

      General Result : REFRESH performed but indicated NAA was not active = 0x08
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_SESSION_TERM_USER

          static final byte RES_CMD_PERF_SESSION_TERM_USER

      General Result : proactive UICC session terminated by user = 0x10
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_BACKWARD_MOVE_REQ

          static final byte RES_CMD_PERF_BACKWARD_MOVE_REQ

      General Result : command performed backward move requested = 0x11
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_NO_RESP_FROM_USER

          static final byte RES_CMD_PERF_NO_RESP_FROM_USER

      General Result : command performed no response from user = 0x12
      See Also:
        Constant Field Values

    - #### RES_CMD_PERF_HELP_INFO_REQ

          static final byte RES_CMD_PERF_HELP_INFO_REQ

      General Result : command performed help information required= 0x13
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_TERMINAL_UNABLE_PROC

          static final byte RES_TEMP_PB_TERMINAL_UNABLE_PROC

      General Result : Terminal currently unable to process command= 0x20
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_SESSION_TERM_USER

          static final byte RES_TEMP_PB_SESSION_TERM_USER

      General Result : Network currently unable to process command = 0x21
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_USER_REJECT_CALL_REQ

          static final byte RES_TEMP_PB_USER_REJECT_CALL_REQ

      General Result : User did not accept call set-up request = 0x22
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_USER_CLEAR_CALL

          static final byte RES_TEMP_PB_USER_CLEAR_CALL

      General Result : User cleared call before connected or before the network released it = 0x23
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_IN_CONTR_TIMER_STATE

          static final byte RES_TEMP_PB_IN_CONTR_TIMER_STATE

      General Result : Action in contradiction with timer state = 0x24
      See Also:
        Constant Field Values

    - #### RES_TEMP_PB_INTERACT_CC_BY_NAA

          static final byte RES_TEMP_PB_INTERACT_CC_BY_NAA

      General Result : Interaction with call control by SIM = 0x25
      See Also:
        Constant Field Values

    - #### RES_ERROR_LAUNCH_BROWSE_GENERIC_CODE

          static final byte RES_ERROR_LAUNCH_BROWSE_GENERIC_CODE

      Generic Result : Launch browser generic error code = 0x26;
      See Also:
        Constant Field Values

    - #### RES_ERROR_CMD_BEYOND_TERMINAL_CAPAB

          static final byte RES_ERROR_CMD_BEYOND_TERMINAL_CAPAB

      General Result : command beyond terminal's capabilities = 0x30
      See Also:
        Constant Field Values

    - #### RES_ERROR_CMD_TYP_NOT_UNDERSTOOD

          static final byte RES_ERROR_CMD_TYP_NOT_UNDERSTOOD

      General Result : command type not understood by terminal = 0x31
      See Also:
        Constant Field Values

    - #### RES_ERROR_CMD_DATA_NOT_UNDERSTOOD

          static final byte RES_ERROR_CMD_DATA_NOT_UNDERSTOOD

      General Result : command data not understood by terminal = 0x32
      See Also:
        Constant Field Values

    - #### RES_ERROR_CMD_NUMBER_NOT_KNOWN

          static final byte RES_ERROR_CMD_NUMBER_NOT_KNOWN

      General Result : command number not known by terminal = 0x33
      See Also:
        Constant Field Values

    - #### RES_ERROR_REQ_VALUES_MISS

          static final byte RES_ERROR_REQ_VALUES_MISS

      General Result : required values are missing = 0x36
      See Also:
        Constant Field Values

    - #### RES_ERROR_MULTIPLE_CARD_ERROR

          static final byte RES_ERROR_MULTIPLE_CARD_ERROR

      General Result : Multiple card command error = 0x38
      See Also:
        Constant Field Values

    - #### RES_ERROR_INTERACT_CC_SMSMO_BY_NAA

          static final byte RES_ERROR_INTERACT_CC_SMSMO_BY_NAA

      General Result : interaction with CC NAA = 0x39
      See Also:
        Constant Field Values

    - #### RES_ERROR_BEARER_INDEPENDENT_PROTOCOL_ERROR

          static final byte RES_ERROR_BEARER_INDEPENDENT_PROTOCOL_ERROR

      General Result : Bearer Independent Protocol error = 0x3A
      See Also:
        Constant Field Values

    - #### RES_ERROR_ACCESS_TECH_ERROR

          static final byte RES_ERROR_ACCESS_TECH_ERROR

      General Result : Access Technology unable to process command = 0x3B
      See Also:
        Constant Field Values

Copyright © 2017 ETSI All Rights Reserved.